package com.link.core.basic.controller;

import com.link.core.basic.service.KeyGenerateService;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;
import org.springframework.web.method.HandlerMethod;
import org.springframework.web.servlet.mvc.method.RequestMappingInfo;
import org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping;

@Controller
@RequestMapping({"/link/util"})
public class UtilController {
   private static final Logger logger = LogManager.getLogger(UtilController.class);
   @Resource
   private KeyGenerateService keyGenerateService;

   @RequestMapping({"/createdId"})
   @ResponseBody
   public Map<String, Object> createdId(HttpSession session, HttpServletRequest request, HttpServletResponse response) {
      Map<String, Object> result = new HashMap();

      try {
         String rowId = this.keyGenerateService.keyGenerate();
         logger.info("created rowid:" + rowId);
         result.put("success", true);
         result.put("id", rowId);
      } catch (Exception var6) {
         Exception e = var6;
         logger.error("UtilController捕获异常", e);
         result.put("success", false);
         result.put("result", e.getMessage());
      }

      return result;
   }

   @ResponseBody
   @RequestMapping({"getUrlMapping"})
   public Map<String, String> getUrlMapping(HttpServletRequest request) {
      Map<String, String> result = new HashMap();
      WebApplicationContext wc = WebApplicationContextUtils.getRequiredWebApplicationContext(request.getSession().getServletContext());
      RequestMappingHandlerMapping rmhp = (RequestMappingHandlerMapping)wc.getBean(RequestMappingHandlerMapping.class);
      Map<RequestMappingInfo, HandlerMethod> map = rmhp.getHandlerMethods();
      Iterator var6 = map.keySet().iterator();

      while(var6.hasNext()) {
         RequestMappingInfo info = (RequestMappingInfo)var6.next();
         System.out.println(info.getPatternsCondition().toString() + "," + ((HandlerMethod)map.get(info)).getBean().toString());
         result.put(info.getPatternsCondition().toString(), ((HandlerMethod)map.get(info)).getBean().toString());
      }

      return result;
   }
}
